# Class LoadMeasureThread

java.lang.Object
java.lang.Thread
org.openscience.jmol.app.janocchio.LoadMeasureThread

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `LoadMeasureThreadJSON`

public class LoadMeasureThread extends Thread

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BufferedReader`
`inp`
`protected NMR_JmolPanel`
`nmrPanel`

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`LoadMeasureThread()`
`LoadMeasureThread(NMR_JmolPanel nmrPanel, String data)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addCommand(int i, String l)`
`protected void`
`addCouple(int ia, int ib, int ic, int id, String exp)`
`protected void`
`addNOE(int ia, int ib, String exp, String expd)`
`void`
`loadAndRun(String structureFile)`
`void`
`run()`
`protected void`
`setCouples()`
`protected boolean`
`setLabels()`
`protected void`
`setMore()`
`protected void`
`setNOEs()`

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### nmrPanel

protected NMR_JmolPanel nmrPanel

### inp

protected BufferedReader inp

## Constructor Details

### LoadMeasureThread

public LoadMeasureThread()

### LoadMeasureThread

public LoadMeasureThread(NMR_JmolPanel nmrPanel, String data)

## Method Details

### addCommand

protected void addCommand(int i, String l)

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### setMore

protected void setMore()

### setCouples

protected void setCouples() throws Exception

Throws:
  `Exception`

### addCouple

protected void addCouple(int ia, int ib, int ic, int id, String exp)

Parameters:
  `ia` -
  `ib` -
  `ic` -
  `id` -
  `exp` -

### setNOEs

protected void setNOEs() throws Exception

Throws:
  `Exception`

### addNOE

protected void addNOE(int ia, int ib, String exp, String expd)

### setLabels

protected boolean setLabels() throws Exception

Throws:
  `Exception`

### loadAndRun

public void loadAndRun(String structureFile)